/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.io.File;

import org.junit.BeforeClass;

/**
 * Base class for integration tests
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class AbstractIT {

    private final static String PROPERTY_NAME_ARCHIVE_BASE_DIRECTORY = "archive-base-directory";

    protected static File ARCHIVE_BASE_DIRECTORY = null;

    @BeforeClass
    public static void setup() {
        final String archiveBaseDirectoryStr = System.getProperty(PROPERTY_NAME_ARCHIVE_BASE_DIRECTORY);
        assertNotNull("System property '" + PROPERTY_NAME_ARCHIVE_BASE_DIRECTORY + "' not set.",
                archiveBaseDirectoryStr);
        ARCHIVE_BASE_DIRECTORY = new File(archiveBaseDirectoryStr);
        assertTrue("The archive base directory '" + ARCHIVE_BASE_DIRECTORY.getAbsolutePath() + "' does not exist",
                ARCHIVE_BASE_DIRECTORY.exists());
        assertTrue("The archive base directory '" + ARCHIVE_BASE_DIRECTORY.getAbsolutePath() + "' is not a directory",
                ARCHIVE_BASE_DIRECTORY.isDirectory());
    }

}
