/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import org.junit.Test;
import org.ow2.petals.cli.pref.PreferencesImpl;

/**
 * Integration tests about the content of the package
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PackageIT extends AbstractIT {

    /**
     * Check that a default passphrase is set in the packaged Petals CLI configuration
     */
    @Test
    public void defaultPassPhraseDefinition() throws IOException {

        try (final FileInputStream fis = new FileInputStream(
                new File(new File(ARCHIVE_BASE_DIRECTORY, "conf"), PreferencesImpl.PREFERENCE_FILE_NAME))) {
            final Properties defaultPrefs = new Properties();
            defaultPrefs.load(fis);

            assertEquals("Unexpected default alias name", "default",
                    defaultPrefs.getProperty(PreferencesImpl.DEFAULT_ALIAS_PROPERTY));
            assertNull("Unexpected default passphrase",
                    defaultPrefs.getProperty("default" + PreferencesImpl.PASSPHRASE_PROPERTY_SUFFIX));
        }
    }

}
